Auth0 Home Blog Docs

analytics.js doesn't work on IE11

analytics
ie11

#1

We are using this script which works well on Chrome/Firefox/Edge but not on IE11:
https://cdn.auth0.com/js/analytics/1.2.1/analytics.min.js
is it possible to have a fix for IE11 ?


#2

I gave it a quick test and the error I got was related to lack of support for promises in IE 11. I inquired internally if there are plans to support IE 11 out-of-box for that library, but meanwhile I would consider providing a promises polyfill when you serve your application to IE 11 users.


#3

Ok this can be a workaround, but your library should not assume such things.

IE 11 is still a decent portion of users that ultimately would need to access sites through their loggins : IE 11 3.36% source : https://www.w3counter.com/globalstats.php

Please let us know the ETA for this resolution.


#4

Ok this can be a workaround, but your library should not assume such things.

IE 11 is still a decent portion of users that ultimately would need to access sites through their loggins : IE 11 3.36% source : https://www.w3counter.com/globalstats.php

Please let us know the ETA for this resolution.


#5

Agreed, IE 11 has a fair share of users; there’s already an issue to track this in the library repo and although the issue is open-ended in terms of resolution; either include a built-in polyfill or document the current situation I personally believe that IE 11 support will likely be included out of the box.


#6

Thanks for the issue link, i’ll comment there too.


#7